Bug 7733 (int152531/int-168845)

Summary: ifupdown script environment contains empty IFACE and LOGICAL values when connecting to GPRS
Product: [Maemo Official Platform] Telephony Reporter: Lucas Maneos <maemo>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: telephony-general-bugs
Severity: normal    
Priority: Low CC: andre_klapper, aymeric.brisse, Edwinem_von_Forresterra, egoshin, synthaxx
Version: 5.0/(3.2010.02-8)   
Target Milestone: Harmattan   
Hardware: N900   
OS: Maemo   

Description Lucas Maneos (reporter) 2010-01-07 08:22:20 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Put the following in /etc/network/if-up.d/test:

   #!/bin/sh
   env >> /tmp/test.log

2. chmod +x /etc/network/if-up.d/test
3. Establish a GPRS connection
4. egrep 'IFACE|LOGICAL' /tmp/test.log

EXPECTED OUTCOME:

LOGICAL=gprs0
IFACE=gprs0

ACTUAL OUTCOME:

LOGICAL=
IFACE=

REPRODUCIBILITY:
Always.

OTHER COMMENTS:
The same issue is observer with if-down.d, but I didn't test if-pre-up.d &
if-post-down.d.  For WLAN connections it works as expected:

LOGICAL=wlan0
IFACE=wlan0
Comment 1 Frederik Niedernolte 2010-01-08 09:27:39 UTC
I can confirm this (see bug 7731).
Comment 2 Aymeric Brisse 2010-02-17 13:06:14 UTC
I can confirm this too.
Comment 3 Robin 2010-03-09 15:45:54 UTC
Confirming bug with the above script with latest release.
10 test runs connecting/disconnecting gprs, all with the same result.
Comment 4 Aymeric Brisse 2010-05-11 19:21:32 UTC
if-pre-up.d scripts have always empty IFACE and LOGICAL values when connecting
to any network (GPRS or Wifi).

if-post-down.d scripts have empty IFACE and LOGICAL values when connecting to
GPRS.

When this bug will be fixed? Very annoying when developping network-related
applications.
Comment 5 Andre Klapper maemo.org 2010-05-12 18:52:47 UTC
Internal comment by Nokia:
"Fixing this could happen in 3 different places and none of them is trivial.
Simple solution of assuming gprs0 does not bring any value as it not guaranteed
to be the correct value."

Hence for Nokia this is a WONTFIX for Maemo5 currently.
Don't know about Maemo6 yet hence not closing yet as WONTFIX.
Comment 6 Andre Klapper maemo.org 2010-06-21 10:58:59 UTC
Fixed in libicd-network-gprs for Harmattan.
WONTFIX for Maemo5.